Only in newlib-1.18.0: autom4te.cache
Only in newlib-1.18.0/newlib: Makefile.am.save
Only in newlib-1.18.0/newlib: Makefile.am~
Only in newlib-1.18.0/newlib: autom4te.cache
diff -ur /Users/pkoning/Downloads/newlib-1.18.0/newlib/configure.host newlib-1.18.0/newlib/configure.host
--- /Users/pkoning/Downloads/newlib-1.18.0/newlib/configure.host	2009-12-10 12:12:11.000000000 -0500
+++ newlib-1.18.0/newlib/configure.host	2010-11-09 11:56:57.000000000 -0500
@@ -220,6 +220,8 @@
 	;;
   or32)
 	;;
+  pdp11)
+	;;
   powerpc*)
 	machine_dir=powerpc
 	;;
@@ -468,6 +470,9 @@
   moxie*)
         sys_dir=
         ;;
+  pdp11-*-*)
+	sys_dir=pdp11
+	;;
   powerpcle-*-pe)
 	posix_dir=posix
 	;;
@@ -707,6 +712,9 @@
         syscall_dir=syscalls
 	default_newlib_io_long_long="yes"
         ;;
+  pdp11-*-*)
+	syscall_dir=syscalls
+	;;
   powerpc*-*-eabialtivec*)
 	default_newlib_io_long_long="yes"
 	newlib_cflags="${newlib_cflags} -DMISSING_SYSCALL_NAMES"
Only in newlib-1.18.0/newlib: configure.host~
diff -ur /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/include/machine/ieeefp.h newlib-1.18.0/newlib/libc/include/machine/ieeefp.h
--- /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/include/machine/ieeefp.h	2009-12-17 14:26:38.000000000 -0500
+++ newlib-1.18.0/newlib/libc/include/machine/ieeefp.h	2010-11-10 12:51:55.000000000 -0500
@@ -1,3 +1,5 @@
+#include <sys/config.h>
+
 #ifndef __IEEE_BIG_ENDIAN
 #ifndef __IEEE_LITTLE_ENDIAN
 
Only in newlib-1.18.0/newlib/libc/include/machine: ieeefp.h~
diff -ur /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/include/sys/config.h newlib-1.18.0/newlib/libc/include/sys/config.h
--- /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/include/sys/config.h	2009-12-10 12:12:11.000000000 -0500
+++ newlib-1.18.0/newlib/libc/include/sys/config.h	2010-11-10 12:29:43.000000000 -0500
@@ -1,6 +1,11 @@
 #ifndef __SYS_CONFIG_H__
 #define __SYS_CONFIG_H__
 
+#if defined (__pdp11__)
+#define NO_HEX_FP
+#define __IEEE_BIG_ENDIAN
+#endif
+
 #include <machine/ieeefp.h>  /* floating point macros */
 
 /* exceptions first */
@@ -12,7 +17,7 @@
 #endif
 
 /* 16 bit integer machines */
-#if defined(__Z8001__) || defined(__Z8002__) || defined(__H8500__) || defined(__W65__) || defined (__mn10200__) || defined (__AVR__)
+#if defined(__Z8001__) || defined(__Z8002__) || defined(__H8500__) || defined(__W65__) || defined (__mn10200__) || defined (__AVR__) || defined(__pdp11__)
 
 #undef INT_MAX
 #undef UINT_MAX
Only in newlib-1.18.0/newlib/libc/include/sys: config.h~
diff -ur /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/stdlib/mprec.h newlib-1.18.0/newlib/libc/stdlib/mprec.h
--- /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/stdlib/mprec.h	2008-06-24 21:45:02.000000000 -0400
+++ newlib-1.18.0/newlib/libc/stdlib/mprec.h	2010-11-10 14:14:41.000000000 -0500
@@ -37,7 +37,7 @@
 #define IEEE_8087
 #endif
 
-#ifdef __IEEE_BIG_ENDIAN
+#if defined (__IEEE_BIG_ENDIAN) && !defined (__pdp11__)
 #define IEEE_MC68k
 #endif
 
@@ -56,8 +56,8 @@
 #define Sign_Extend(a,b) /*no-op*/
 #endif
 
-#if defined(IEEE_8087) + defined(IEEE_MC68k) + defined(VAX) + defined(IBM) != 1
-Exactly one of IEEE_8087, IEEE_MC68k, VAX, or IBM should be defined.
+#if defined(IEEE_8087) + defined(IEEE_MC68k) + defined(VAX) + defined(IBM) + defined (__pdp11__) != 1
+Exactly one of IEEE_8087, IEEE_MC68k, VAX, __pdp11__, or IBM should be defined.
 #endif
 
 /* If we are going to examine or modify specific bits in a double using
@@ -213,7 +213,7 @@
 #define Tiny1 0
 #define Quick_max 14
 #define Int_max 15
-#else /* VAX */
+#else /* VAX || pdp11 */
 #define Flt_Rounds 1
 #define Exp_shift  23
 #define Exp_shift1 7
@@ -256,7 +256,7 @@
 #define n_bigtens 3
 #endif
 
-#ifdef VAX
+#if defined (VAX) || defined (__pdp11__)
 #define n_bigtens 2
 #endif
 
Only in newlib-1.18.0/newlib/libc/stdlib: mprec.h~
Only in newlib-1.18.0/newlib/libc/stdlib: strtod.c~
Only in newlib-1.18.0/newlib/libc/sys: autom4te.cache
diff -ur /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/sys/configure.in newlib-1.18.0/newlib/libc/sys/configure.in
--- /Users/pkoning/Downloads/newlib-1.18.0/newlib/libc/sys/configure.in	2007-05-24 13:33:37.000000000 -0400
+++ newlib-1.18.0/newlib/libc/sys/configure.in	2010-11-09 12:57:46.000000000 -0500
@@ -32,6 +32,7 @@
 	m88kbug) AC_CONFIG_SUBDIRS(m88kbug) ;;
 	mmixware) AC_CONFIG_SUBDIRS(mmixware) ;;
 	netware) AC_CONFIG_SUBDIRS(netware) ;;
+	pdp11) AC_CONFIG_SUBDIRS(pdp11) ;;
 	rdos) AC_CONFIG_SUBDIRS(rdos) ;;
 	rtems) AC_CONFIG_SUBDIRS(rtems) ;;
 	sh) AC_CONFIG_SUBDIRS(sh) ;;
Only in newlib-1.18.0/newlib/libc/sys: configure.in~
Only in newlib-1.18.0/newlib/libc/sys: pdp11
